> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 历史批量流量估算

> 此端点将为您提供最多 1,000 个域名在指定时间范围内收集的历史月度流量数据，最早可追溯至 2020 年 10 月。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/dataforseo_labs/google/historical_bulk_traffic_estimation/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/google/historical_bulk_traffic_estimation/live:
    post:
      summary: 历史批量流量估算
      description: >-
        此端点将提供最多 1,000 个域名在指定时间范围内收集的历史月度流量数据，最晚可追溯至 2020 年 10 月。如果未指定时间范围，将返回过去
        12 个月的数据。除自然搜索流量估算外，还将分别获得付费搜索、精选摘要和本地结果包的数值。
      operationId: >-
        post_dataforseo_dataforseo_labs_google_historical_bulk_traffic_estimation_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                targets:
                  type: array
                  items:
                    type: string
                  description: >-
                    目标域名和子域名，必填字段。可在此字段中指定域名和子域名；指定时不应包含 https:// 和 www.；最多可设置
                    1000 个域名或子域名
                location_name:
                  type: string
                  description: >-
                    位置的完整名称。如果使用此字段，则无需指定 location_code。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发出请求，获取包含 location_name
                    的可用位置列表。忽略此字段可获取所有可用位置的结果。示例：United Kingdom
                location_code:
                  type: integer
                  description: >-
                    位置代码 如果使用此字段，则无需指定 location_name 可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 location_code 的可用位置列表 忽略此字段可获取所有可用位置的结果 示例：2840
                language_name:
                  type: string
                  description: >-
                    语言的完整名称。如果使用此字段，则无需指定 language_code。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发出请求，获取包含 language_name
                    的可用语言列表。忽略此字段可获取所有可用语言的结果。示例：English
                language_code:
                  type: string
                  description: >-
                    语言代码；如果使用此字段，则无需指定 language_name。你可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发起请求，获取可用语言及其 language_code 列表。忽略此字段可获取所有可用语言的结果。示例：en
                date_from:
                  type: string
                  description: >-
                    时间范围的起始日期，可选字段；如果未指定此字段，将提供过去 12
                    个月的数据；最小可用值：2020-10-01；日期格式："yyyy-mm-dd"
                date_to:
                  type: string
                  description: >-
                    时间范围的结束日期，可选字段。如果未指定此字段，默认使用当天日期；日期格式："yyyy-mm-dd"；示例："2021-04-01"
                ignore_synonyms:
                  type: boolean
                  description: 忽略高度相似的关键词，可选字段。如果设置为 true，则仅返回核心关键词，并排除所有高度相似的关键词；默认值：false
                item_types:
                  type: array
                  items:
                    type: string
                  description: >-
                    按项目类型显示结果，可选字段。指示响应中包含的搜索结果类型；注意：如果 item_types 数组包含 organic
                    以外的项目类型，结果将按数组中的第一个项目类型排序；可选值：["organic", "paid",
                    "featured_snippet", "local_pack"]。默认值：["organic", "paid"]
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - targets
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码；如果没有数据，则值为 null
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码；如果没有数据，则值为 null
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中与您的请求相关的结果总量
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含相关流量估算数据的项目数组
                  tasks.result.items.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.target:
                    type: string
                    description: POST 数组中的目标域名
                  tasks.result.items.metrics:
                    type: object
                    description: 与指定域名相关的流量数据
                  tasks.result.items.metrics.organic:
                    type: array
                    items:
                      type: string
                    description: 自然搜索流量数据
                  tasks.result.items.metrics.organic.year:
                    type: integer
                    description: 所提供数据对应的年份
                  tasks.result.items.metrics.organic.month:
                    type: integer
                    description: 数据对应的月份
                  tasks.result.items.metrics.organic.etv:
                    type: number
                    description: >-
                      预估流量 域名的预估自然搜索月流量，计算方式为该域名参与排名的所有关键词的
                      CTR（点击率）与搜索量之乘积的总和；有关此指标计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.metrics.organic.count:
                    type: integer
                    description: 包含该域名的自然搜索 SERP 总数
                  tasks.result.items.metrics.paid:
                    type: array
                    items:
                      type: string
                    description: 付费搜索的流量数据
                  tasks.result.items.metrics.paid.year:
                    type: integer
                    description: 所提供数据对应的年份
                  tasks.result.items.metrics.paid.month:
                    type: integer
                    description: 数据对应的月份
                  tasks.result.items.metrics.paid.etv:
                    type: number
                    description: >-
                      预估流量：域名的预估每月付费流量，计算方式为该域名排名涉及的所有关键词的
                      CTR（点击率）与搜索量之积；有关此指标计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.metrics.paid.count:
                    type: integer
                    description: 包含该域名的付费 SERP 总数
                  tasks.result.items.metrics.featured_snippet:
                    type: array
                    items:
                      type: string
                    description: 来自 Google SERP 精选摘要结果的流量数据
                  tasks.result.items.metrics.featured_snippet.year:
                    type: integer
                    description: 所提供数据对应的年份
                  tasks.result.items.metrics.featured_snippet.month:
                    type: integer
                    description: 数据对应的月份
                  tasks.result.items.metrics.featured_snippet.etv:
                    type: number
                    description: >-
                      预估流量；域名的预估每月付费流量，计算方式为该域名在相应类别中有排名的所有关键词的
                      CTR（点击率）与搜索量之乘积。有关该指标计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.metrics.featured_snippet.count:
                    type: integer
                    description: 包含该域名的精选摘要项总数
                  tasks.result.items.metrics.local_pack:
                    type: array
                    items:
                      type: string
                    description: SERP 本地结果包中的流量数据
                  tasks.result.items.metrics.local_pack.year:
                    type: integer
                    description: 所提供数据对应的年份
                  tasks.result.items.metrics.local_pack.month:
                    type: integer
                    description: 数据对应的月份
                  tasks.result.items.metrics.local_pack.etv:
                    type: number
                    description: >-
                      预估流量；域名的预估每月付费流量，计算方式为该域名在相应类别中有排名的所有关键词的
                      CTR（点击率）与搜索量之乘积。有关该指标计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.metrics.local_pack.count:
                    type: integer
                    description: 包含该域名的本地结果包条目总数
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````